{%- style -%}
      #{{ section.id }}{
       background-color: {{ section.settings.bg_color }};
        padding-top: {{ section.settings.padding_top}}px;
        padding-bottom: {{ section.settings.padding_bottom}}px;
        margin-top: {{ section.settings.margin_top}}px;
        margin-bottom: {{ section.settings.margin_bottom}}px;
    }
    #{{ section.id }} .title{
        font-family: FinancierDisplay;
        font-size: 60px;
        font-weight: 300;
        font-style: normal;
        line-height: 1.03;
        color:#014550
    }
    #{{ section.id }} .desc{
        font-family: UntitledSans;
        font-size: 17px;
        font-weight: 400;
        font-style: normal;
        line-height: 1.41;
        letter-spacing: normal;
        text-align: center;
        color: #014550;
        padding: 0px 30px
      }
  @media screen and (max-width: 768px){
    #{{ section.id }} .title{
      font-size: 40px
    }
    #{{ section.id }} .desc{
      font-size: 14px;  
      padding: 0px;
    }
  }
{%- endstyle -%}

<div id="{{ section.id }}">
  <div class="container">
    <div class="with-90">
      <h1 class="title center">
        {{ section.settings.title }}
      </h1>
      <p class="desc center">
        {{ section.settings.desc }}
      </p>
    </div>
  </div>
</div>

{% schema %}
{
  "name": "How it work",
  "tag": "section",
  "class": "section",
  "settings": [
    {
      "type": "color",
      "id": "bg_color",
      "label": "Background Color"
    },
    {
      "type": "header",
      "content": "Margin"
    },
    {
      "type": "range",
      "id": "margin_top",
      "min": 0,
      "max": 200,
      "step": 4,
      "unit": "px",
      "label": "Margin Top",
      "default": 36
    },
    {
      "type": "range",
      "id": "margin_bottom",
      "min": 0,
      "max": 200,
      "step": 4,
      "unit": "px",
      "label": "Margin Bottom",
      "default": 36
    },
    {
      "type": "header",
      "content": "Padding Setting"
    },
    {
      "type": "range",
      "id": "padding_top",
      "min": 0,
      "max": 200,
      "step": 4,
      "unit": "px",
      "label": "t:sections.all.padding.padding_top",
      "default": 36
    },
    {
      "type": "range",
      "id": "padding_bottom",
      "min": 0,
      "max": 200,
      "step": 4,
      "unit": "px",
      "label": "t:sections.all.padding.padding_bottom",
      "default": 36
    },
    {
      "type": "text",
      "id": "title",
      "label": "Title Text"
    },
    {
      "type": "textarea",
      "id": "desc",
      "label": "Descriptoni Text"
    }
  ]
}
{% endschema %}
